"""
Fun extension for qrm
---
Copyright (C) 2019 Abigail Gold, 0x5c

This file is part of discord-qrm2 and is released under the terms of the GNU
General Public License, version 2.
"""

import discord.ext.commands as commands

import common as cmn


class FunCog(commands.Cog):
    def __init__(self, bot: commands.Bot):
        self.bot = bot

    @commands.command(name="xkcd", aliases=['x'], category=cmn.cat.fun)
    async def _xkcd(self, ctx: commands.Context, number: str):
        '''Look up an xkcd by number.'''
        await ctx.send('http://xkcd.com/' + number)

    @commands.command(name="tar", category=cmn.cat.fun)
    async def _tar(self, ctx: commands.Context):
        '''Returns an xkcd about tar.'''
        await ctx.send('http://xkcd.com/1168')

    @commands.command(name="xd", hidden=True, category=cmn.cat.fun)
    async def _xd(self, ctx: commands.Context):
        '''ecks dee'''
        await ctx.send('ECKS DEE :smirk:')


def setup(bot: commands.Bot):
    bot.add_cog(FunCog(bot))
